/**Simple CNMAT stompbox teensy board driver
 * meant to be as simple and user readable/configurable as possible
 * for use with CNMAT.o.stompbox breakout board and Max abstraction
 * simply sets up pins and transmits values over serial port
 * by Jeremy Wagner
 */



void setup() {

  for (int i = 0; i < 24; i++) {
    //pin 13 has a built-in resistor on its LED which would require an additional resistor.  Lets leave it out
    if (i != 12 && i != 13) { 
      //all pins in pullup mode (inverts output but simplifies wiring)
      pinMode(i, INPUT_PULLUP);
    }
  }
  
  Serial.begin(9600);
}

void loop() {

  //read digital pins, add to message
  for (int i = 0; i < 12; i++) {
    Serial.print("d");
    Serial.print(i);
    Serial.print(" ");
    Serial.print(digitalRead(i));
    Serial.println(" ");
  }

  //read analog pins, add to message
  for (int i = 0; i < 10; i++) {
    Serial.print("a");
    Serial.print(i);
    Serial.print(" ");
    Serial.print(analogRead(i));
    Serial.println(" ");
  }
  //line break to delimit message
  Serial.println();

  //limit reporting to maximum of once every 10ms
  delay(10);
}
